# $Revision: 1.17 $, $Date: 2004/05/07 00:32:01 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GD
%define		pnam	Convert
Summary:	GD::Convert Perl module - additional output formats for GD
Summary(pl):	Modu Perla GD::Convert - dodatkowe formaty wyjciowe dla GD
Name:		perl-GD-Convert
Version:	2.11
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cd6a2deeead197517955cf830a880f4e
Patch0:		%{name}-nocroak.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GD
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-GD
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::Convert is a pure Perl module which provides additional output
functions for the GD module: ppm and xpm. These formats are useful if
you need to dynamically create photos for Tk.

%description -l pl
GD::Convert to modu Perla dodajcy obsug dwch formatw wyjciowych
do moduu GD: ppm i xpm. Te formaty s przydatne zwaszcza wtedy,
kiedy potrzeba dynamicznie tworzy obrazy dla Tk.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/GD/Convert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-Convert.spec,v $
Revision 1.17  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.16  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.14  2004/04/16 19:06:04  adamg
- tests disabled by default (require running X server)

Revision 1.13  2004/04/16 19:04:05  adamg
- updated to 2.11

Revision 1.12  2003/12/15 00:03:32  qboosh
- updated to 2.08, added tests and patch to fix croak found by them

Revision 1.11  2003/09/15 11:42:40  adamg
- updated to 2.06

Revision 1.10  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.4  2003/02/18 22:56:47  ankry
- autoupdated to 2.01

Revision 1.3  2003/02/18 15:32:34  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/24 16:27:40  kloczek
- (auto)updated to 1.18.

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

